%define oname   rugged

Name:       ruby-%{oname}
Version:    1.9.0
Release:    %mkrel 3
Summary:    Rugged is a Ruby binding to the libgit2 linkable library
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/libgit2/rugged
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
# https://github.com/libgit2/rugged/pull/985
Patch:         985.patch
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: cmake
BuildRequires: pkgconfig(openssl)
BuildRequires: pkgconfig(libgit2)
#Provides:      bundled(libgit2) = 1.7.2

%description
Rugged is a Ruby bindings to the libgit2 linkable C Git library. This is
for testing and using the libgit2 library in a language that is awesome.

%files
%{gem_instdir}
%{gem_spec}
%{gem_extdir_mri}

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

%prep
%gem_setup
%autopatch -p1

rm -vrf vendor
# Remove the bundled libraries from gemspec
sed -i -e 's\, "vendor[^,]*"\\g' ../%{gem_name}-%{version}.gemspec

# The build system requires libgit2's version.h to be present, and defaults to
# using the vendor'd copy. Use the system copy instead.
sed -i -e 's|LIBGIT2_DIR = .*|LIBGIT2_DIR = "%{_prefix}"|' ext/rugged/extconf.rb

%build
export CONFIGURE_ARGS="--with-cflags='%{optflags}' --use-system-libraries"
%gem_build

%install
%gem_install


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 1.9.0-3.mga10
+ Revision: 2235382
- Mageia 10 Mass Rebuild

* Sun Feb 02 2025 pterjan <pterjan> 1.9.0-2.mga10
+ Revision: 2144458
- Rebuild for Ruby 3.4

* Wed Jan 29 2025 daviddavid <daviddavid> 1.9.0-1.mga10
+ Revision: 2143197
- new version: 1.9.0
- rebuild for new libgit2 1.9.0

* Wed Dec 11 2024 pterjan <pterjan> 1.7.2-3.mga10
+ Revision: 2123387
- Use system libgit2 again, it seems to build fine now

* Wed Dec 04 2024 pterjan <pterjan> 1.7.2-2.mga10
+ Revision: 2121577
- Rebuild for Ruby 3.3

* Sun Sep 22 2024 papoteur <papoteur> 1.7.2-1.mga10
+ Revision: 2100393
- new version 1.7.2
- use bundled libgit2 1.7.1 instead of system 1.8 not compatible
- rebuild for libgit2 1.8.1

* Wed Jan 10 2024 daviddavid <daviddavid> 1.7.1-1.mga10
+ Revision: 2029401
- new version: 1.7.1
- rebuild for new libgit2 1.7.1

* Wed Mar 30 2022 umeabot <umeabot> 1.2.0-3.mga9
+ Revision: 1833910
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 pterjan <pterjan> 1.2.0-2.mga9
+ Revision: 1784622
- Rebuild for Ruby 3.1

* Tue Feb 22 2022 pterjan <pterjan> 1.2.0-1.mga9
+ Revision: 1783116
- Update to 1.2.0 and use system libgit2

* Sat Jan 29 2022 neoclust <neoclust> 0.99.0-3.mga9
+ Revision: 1770229
- Rebuild for armv7

* Sat Oct 02 2021 wally <wally> 0.99.0-2.mga9
+ Revision: 1747897
- rebuild for openssl 3.0.0

* Sat Mar 28 2020 pterjan <pterjan> 0.99.0-1.mga8
+ Revision: 1561862
- Update to 0.99.0

* Mon Mar 02 2020 pterjan <pterjan> 0.27.7-3.mga8
+ Revision: 1553177
- Rebuild for ruby 2.7

* Fri Feb 14 2020 umeabot <umeabot> 0.27.7-2.mga8
+ Revision: 1522571
- Mageia 8 Mass Rebuild

* Fri Jan 25 2019 pterjan <pterjan> 0.27.7-1.mga7
+ Revision: 1360785
- Update to 0.27.7

* Sun Nov 04 2018 pterjan <pterjan> 0.27.5-1.mga7
+ Revision: 1328228
- Update to 0.27.5

* Sat Aug 25 2018 pterjan <pterjan> 0.27.4-1.mga7
+ Revision: 1254222
- Update to 0.27.4

* Sun Jun 24 2018 pterjan <pterjan> 0.27.2-1.mga7
+ Revision: 1239568
- Update to 0.27.2

* Thu May 31 2018 pterjan <pterjan> 0.27.1-1.mga7
+ Revision: 1233365
- Update to 0.27.1

* Mon Apr 02 2018 pterjan <pterjan> 0.27.0-1.mga7
+ Revision: 1214521
- Add what seems to be the missing BuildRequires
- Update to 0.27.0

* Mon Jan 01 2018 pterjan <pterjan> 0.26.0-2.mga7
+ Revision: 1188708
- Rebuild for Ruby 2.5

* Sun Aug 20 2017 pterjan <pterjan> 0.26.0-1.mga7
+ Revision: 1142190
- Update to 0.26.0

* Tue Aug 15 2017 pterjan <pterjan> 0.23.3-2.mga7
+ Revision: 1140871
- Rebuild for new Ruby

* Sat Mar 12 2016 pterjan <pterjan> 0.23.3-1.mga6
+ Revision: 989742
- Add missing BuildRequires
- Update to 0.23.3

* Fri Feb 12 2016 umeabot <umeabot> 0.19.0-4.mga6
+ Revision: 958789
- Mageia 6 Mass Rebuild

* Sun Dec 13 2015 pterjan <pterjan> 0.19.0-3.mga6
+ Revision: 910209
- Fix file list

* Wed Oct 15 2014 umeabot <umeabot> 0.19.0-3.mga5
+ Revision: 751142
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.19.0-2.mga5
+ Revision: 688953
- Mageia 5 Mass Rebuild

* Mon May 26 2014 pterjan <pterjan> 0.19.0-1.mga5
+ Revision: 626835
- imported package ruby-rugged

